package com.example.gengmei_flutter_plugin.act

import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.widget.ImageView
import android.widget.LinearLayout
import com.bumptech.glide.Glide
import com.example.gengmei_flutter_plugin.R
import com.example.gengmei_flutter_plugin.act.view.PinchImageView
import com.example.gengmei_flutter_plugin.utils.MyUtil

/**
 * @author lsy
 * @date   2019-11-02
 */
class PreviewActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        setTheme(R.style.FLUTTERAPPTHEMEM)
        MyUtil.setTransparent(this)
        super.onCreate(savedInstanceState)
        setContentView(R.layout.preview_act)
        findViewById<LinearLayout>(R.id.main).setBackgroundColor(0xff000000.toInt())
        val path=intent.getStringExtra("PATH")
        if(path==null){
            finish()
        }else{
            Glide.with(this).load(path).into(findViewById<PinchImageView>(R.id.image))
        }
    }
}